﻿using System;

namespace Fipscode.Attributes
{
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = true)]
    public class FieldAttribute : Attribute
    {
        public string MapTo { get; }
        public string BackendName { get; }

        public FieldAttribute(string mapTo = null, string backendName = null)
        {
            MapTo = mapTo;
            BackendName = backendName;
        }
    }
}
