﻿using System.Reflection.Emit;

namespace Fipscode.CodeGenerator
{
    class Assembly
    {
        public AssemblyBuilder Builder { get; set; }

        public Assembly(string assemblyName)
        {
            Builder = Generator.NewAssembly(assemblyName);
        }

        public Module AddModule(string moduleName = null, string dllName = null)
        {
            return new Module(this, moduleName, dllName);
        }
    }
}
