﻿using System.Reflection.Emit;
using s = System;

namespace Fipscode.CodeGenerator
{
    class Method
    {
        public MethodBuilder Builder { get; set; }
        public Type Type { get; set; }

        public Method(Type type, string methodName)
        {
            Builder = Generator.NewMethod(type.Builder, methodName);
            Type = type;
        }

        public Method(Type type, string methodName, s.Type returnType, params s.Type[] parameterTypes)
        {
            Builder = Generator.NewMethod(type.Builder, methodName, returnType, parameterTypes);
            Type = type;
        }

        public Method(Type type, string methodName, s.Type returnType, string[] genericParameters, params s.Type[] parameterTypes)
        {
            Builder = Generator.NewMethod(type.Builder, methodName, returnType, genericParameters, parameterTypes);
            Type = type;
        }

        public void AddCode(string code)
        {
            // TODO
        }
    }
}
