﻿using System.IO;

namespace Fipscode.Loader
{
    public class DirectoryLoader : AssemblyLoaderBase
    {
        public string Path { get; }

        public DirectoryLoader(string path) => Path = path;

        public override void LoadAssemblies()
        {
            foreach (var feil in Directory.GetFiles(Path, "*.dll")) {
                Load(feil);
            }
        }
    }
}
