﻿using System;

namespace Fipscode.Loader.Filters
{
    public class HasAttribute : IFilter
    {
        public Attribute Attribute { get; }

        public HasAttribute(Attribute attribute) => Attribute = attribute;
        public bool Filter(Type type)
            => type.GetCustomAttributes(Attribute.GetType(), false).Length > 0;
    }
}
