﻿using System;

namespace Fipscode.Attributes
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = true)]
    public class EntityAttribute : Attribute
    {
        public string Convention { get; }
        public string BackendName { get; }

        public EntityAttribute(string convention = null, string backendName = null)
        {
            Convention = convention;
            BackendName = backendName;
        }
    }
}
