﻿using System;

namespace Fipscode.Attributes
{
    [AttributeUsage(AttributeTargets.Assembly, AllowMultiple = true)]
    public class EntityLibraryAttribute : Attribute
    {
        public string Convention { get; }
        public string BackendName { get; }

        public EntityLibraryAttribute(string convention = "LowerAndPluralize", string backendName = null)
        {
            Convention = convention;
            BackendName = backendName;
        }
    }
}
