﻿namespace Fipscode.Conventions
{
    public class LowerCaseConvention : IConvention
    {
        public string PropertyToField(string propertyName)
        {
            return propertyName.ToLower();
        }

        public string TypeToEntity(string typeName)
        {
            return typeName.ToLower();
        }

        public string NamespaceToEntity(string namespaceName)
        {
            return namespaceName.Replace(".", "").ToLower();
        }
    }
}
