﻿namespace Fipscode.Conventions
{
    public class UpperCaseConvention : IConvention
    {
        public string PropertyToField(string propertyName)
        {
            return propertyName.ToUpper();
        }

        public string TypeToEntity(string typeName)
        {
            return typeName.ToUpper();
        }

        public string NamespaceToEntity(string namespaceName)
        {
            return namespaceName.Replace(".", "").ToUpper();
        }
    }
}
