﻿using System;

namespace Fipscode.Loader.Filters
{
    public class DelegatedFilter : IFilter
    {
        public Func<Type,bool> Delegate { get; }

        public DelegatedFilter(Func<Type,bool> filter) => Delegate = filter;
        public bool Filter(Type type) => Delegate(type);
    }
}
