﻿using System.Reflection;
using Fipscode.Entities.Test;
using Fipscode.ORM.Dapper;
using DF = Dapper.FluentMap;

namespace Fipscode.ORM.Test
{
    class Program
    {
        static void Main(string[] args)
        {
            var creator = new MappersCreator();
            var assemblies = new Assembly[] { typeof(User).Assembly };
            var mappers = creator.CreateMappers(assemblies);
            var initializer = creator.CreateInitializer(mappers[""]);
            DF.FluentMapper.Initialize(initializer);
        }
    }
}
